-- inventory mock
InventoryMock = {}
InventoryMock.__index = InventoryMock

function InventoryMock:new()
    inventory = {}
    inventory.lists = {}
    inventory.sizes = {}
    inventory.lists.main = {}
    inventory.sizes.main = 32
    setmetatable(inventory, self)
    return inventory
end

function InventoryMock:get_list(name)
    return self.lists[name]
end

function InventoryMock:set_list(name, list)
    self.lists[name] = list
end

function InventoryMock:get_size(name)
    return self.sizes[name]
end

function InventoryMock:set_size(name, new_size)
    self.sizes[name] = new_size
end

